/* 
 * CZ Bind Maker
 * 
 * By: Steven Whitley (aka [CZ] Qw4z0)
 * 
 * CZ Bind Maker is a key Bind utility for Counter-Strike 1.6
 * and is distributed under the GNU Public License.
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details. 
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 * If you need further support for this program you may visit
 * http://www.bindmaker.org/ and post in the forums there for help.
 * 
 *  
 * Any Changes or modifications of this source may be submitted for inclusion
 * in the official release of CZ Bind Maker to Steve Whitley at support@bindmaker.org.
 *  
 * Be sure to comment your code as follows:
 * 
 * // [ AUTHOR ] [ DATE ] 
 * // [ DESCRIPTION OF THE CHANGE OR ADDITION ]
 * 
 * */

/* ###############################################
 * #          Sand Bar Library License           #
 * ###############################################
 * 
 * This release of SandBar is available at no charge for you to use in your freeware products 
 * royalty-free. This license does not allow distribution of SandBar with software that is
 * sold or generates income in any way. Use of this release is subject to my name being
 * displayed as a credit in the About dialog in your application. If this is unacceptable you
 * will need to purchase the commercial license.
 * 
 * When distributing this product with software where the source code is available (under
 * GPL or other similar licenses) you are required to distribute this license file with the
 * binary. This is to ensure other developers understand fully the terms of this release.
 * 
 * By using, downloading or posessing this product you agree not to attempt to decompile or
 * reverse engineer it in any way. Enjoy!
 * 
 * Tim Dawson
 * http://www.divil.co.uk/net/
 * 
 * */


using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace CZBindMaker
{
	/// <summary>
	/// About CZ Bind Maker
	/// </summary>
	public class About : System.Windows.Forms.Form
	{
		private string m_version = Application.ProductVersion;
		private System.Windows.Forms.Button button1;
		private System.Windows.Forms.PictureBox pictureBox1;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.PictureBox pictureBox2;
		private System.Windows.Forms.PictureBox pictureBox3;
		private System.Windows.Forms.RichTextBox richTextBox1;
		private System.Windows.Forms.Label label1;
		
		/// <summary>
		/// Required designer variable.
		/// </summary>
		
		private System.ComponentModel.Container components = null;

		public About()
		{
			InitializeComponent();	
			
			this.label1.Text = "Version "+CZBindMaker.CZBindMakerMainForm.applicationVersion;
			#region this.richTextBox1.Rtf = "...";			
			this.richTextBox1.Rtf = 
				@"{\rtf1\ansi\ansicpg1252\deff0\deflang1033\deflangfe1033{\fonttbl{\f0\froman\fprq2\fcharset0 Times New Roman;}}
{\colortbl ;\red33\green66\blue99;\red0\green33\blue66;\red0\green0\blue0;}
{\*\generator Msftedit 5.41.15.1503;}\viewkind4\uc1\pard\nowidctlpar\qc\cf1\b\f0\fs48 CZ Bind Maker\fs24\par
\cf0\fs20\'a9 2003 Steven Whitley\par
\par
\pard\nowidctlpar\fs16\par
\b0\fs20 CZ Bind Maker is a custom configuration program designed for Counter-Strike\'a9 1.6. When I (Steve Whitley, aka [CZ] Qw4z0) first downloaded CS1.6 I was frustrated with the lack of binding options in the in-game Options Form. I decided to make Bind Maker when I figured such an application might be useful to other non-technically inclined people like myself.\par
\par
My Vision for the program is to provide a means to graphically create custom buy scripts, and edit system configuration settings for Counter-Strike 1.6, with out knowing anything about scripting. At the same time allowing those who do, the ability to quickly churn out custom scripts with greater ease.\par
\par
This program is Open Source and is released under the GNU Public License and the source code for the application can be obtained from either CVS or the downloads section of the sourceforge project page. All contributions to the program will be noted here in further editions, so if you would like to be a part of the CZ Bind Maker development team, contribute, and your name will show up here.\par
\par
\cf2\b   Contributors:\tab\cf1 Steve Whitley\cf0\b0  ( \cf1 [CZ] Qw4z0\cf0  ) \endash  Main Programmer / Designer\par
\cf1\b\tab\tab Casey York\cf0\b0  ( \cf1 [CZ] uShizi\cf0  ) \endash  Main Graphic Designer\par
\tab\tab\cf1\b Toku Mitsurugi\cf0  \b0 (\b  \cf1  \b0 [CZ] iToku\cf0  ) \endash  Icon Designer\par
\par
\cf2\b             Testers:\tab\cf1 MaxiM\par
                                nebuchadnezar\par
                                Jimmy Taylor\par
                                Go20\cf3\b0\par
\par
\cf2\b               Links:\tab\cf0\b0 http://www.codezulu.com\par
\tab\tab http://www.saladshooters.com\par
\tab\tab http://www.clanoink.com\par
\cf3\par
\cf2\b            Others:\tab\cf0\b0\fs16 DotNetWidgets.dll & SandBar.dll Copyright \fs20\'a9 2003 by \cf1\b Tim\cf0  \cf1 Dawson\cf0\b0\par
\tab\tab http://www.divil.co.uk/net/\par
\b\par
\b0\fs16\tab\tab\fs20 Private Settings  Copyright \'a9 2003 by \cf1\b Martin Cook\cf3\b0\par
\cf0\fs16\par
}
 ";
			#endregion
		}
		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(About));
			this.button1 = new System.Windows.Forms.Button();
			this.pictureBox1 = new System.Windows.Forms.PictureBox();
			this.label2 = new System.Windows.Forms.Label();
			this.pictureBox2 = new System.Windows.Forms.PictureBox();
			this.pictureBox3 = new System.Windows.Forms.PictureBox();
			this.richTextBox1 = new System.Windows.Forms.RichTextBox();
			this.label1 = new System.Windows.Forms.Label();
			this.SuspendLayout();
			// 
			// button1
			// 
			this.button1.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.button1.Location = new System.Drawing.Point(216, 400);
			this.button1.Name = "button1";
			this.button1.Size = new System.Drawing.Size(72, 23);
			this.button1.TabIndex = 1;
			this.button1.Text = "Ok";
			this.button1.Click += new System.EventHandler(this.button1_Click);
			// 
			// pictureBox1
			// 
			this.pictureBox1.Cursor = System.Windows.Forms.Cursors.Hand;
			this.pictureBox1.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox1.Image")));
			this.pictureBox1.Location = new System.Drawing.Point(221, 360);
			this.pictureBox1.Name = "pictureBox1";
			this.pictureBox1.Size = new System.Drawing.Size(64, 32);
			this.pictureBox1.TabIndex = 3;
			this.pictureBox1.TabStop = false;
			this.pictureBox1.Click += new System.EventHandler(this.pictureBox1_Click);
			// 
			// label2
			// 
			this.label2.ForeColor = System.Drawing.SystemColors.ControlDarkDark;
			this.label2.Location = new System.Drawing.Point(16, 328);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(480, 16);
			this.label2.TabIndex = 4;
			this.label2.Text = "CZ Bind Maker is Free Software, If You use it and like it, feel free to make a do" +
				"nation.";
			this.label2.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// pictureBox2
			// 
			this.pictureBox2.Cursor = System.Windows.Forms.Cursors.Hand;
			this.pictureBox2.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox2.Image")));
			this.pictureBox2.Location = new System.Drawing.Point(80, 360);
			this.pictureBox2.Name = "pictureBox2";
			this.pictureBox2.Size = new System.Drawing.Size(48, 48);
			this.pictureBox2.TabIndex = 5;
			this.pictureBox2.TabStop = false;
			this.pictureBox2.Click += new System.EventHandler(this.pictureBox3_Click);
			// 
			// pictureBox3
			// 
			this.pictureBox3.Cursor = System.Windows.Forms.Cursors.Hand;
			this.pictureBox3.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox3.Image")));
			this.pictureBox3.Location = new System.Drawing.Point(368, 360);
			this.pictureBox3.Name = "pictureBox3";
			this.pictureBox3.Size = new System.Drawing.Size(48, 48);
			this.pictureBox3.TabIndex = 6;
			this.pictureBox3.TabStop = false;
			this.pictureBox3.Click += new System.EventHandler(this.pictureBox3_Click);
			// 
			// richTextBox1
			// 
			this.richTextBox1.BackColor = System.Drawing.SystemColors.ControlLightLight;
			this.richTextBox1.Cursor = System.Windows.Forms.Cursors.Default;
			this.richTextBox1.Location = new System.Drawing.Point(8, 8);
			this.richTextBox1.Name = "richTextBox1";
			this.richTextBox1.ReadOnly = true;
			this.richTextBox1.Size = new System.Drawing.Size(488, 304);
			this.richTextBox1.TabIndex = 7;
			this.richTextBox1.Text = "";
			this.richTextBox1.MouseEnter += new System.EventHandler(this.richTextBox1_MouseEnter);
			// 
			// label1
			// 
			this.label1.Location = new System.Drawing.Point(8, 416);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(200, 16);
			this.label1.TabIndex = 8;
			this.label1.Text = "Version Information";
			// 
			// About
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(506, 438);
			this.Controls.Add(this.label1);
			this.Controls.Add(this.richTextBox1);
			this.Controls.Add(this.pictureBox3);
			this.Controls.Add(this.pictureBox2);
			this.Controls.Add(this.label2);
			this.Controls.Add(this.pictureBox1);
			this.Controls.Add(this.button1);
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle;
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.Name = "About";
			this.ShowInTaskbar = false;
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterParent;
			this.Text = "   About CZ Bind Maker";
			this.ResumeLayout(false);

		}
		#endregion
		private void button1_Click(object sender, System.EventArgs e)
		{
			this.Dispose();
		}

		private void pictureBox1_Click(object sender, System.EventArgs e)
		{
			System.Diagnostics.Process.Start("https://www.paypal.com/xclick/business=donations%40bindmaker.org&item_name=CZ+Bind+Maker+Donation&no_note=1&tax=0&currency_code=USD");
		}

		private void pictureBox3_Click(object sender, System.EventArgs e)
		{
			System.Diagnostics.Process.Start("http://www.bindmaker.org");
		}

		private void richTextBox1_MouseEnter(object sender, System.EventArgs e)
		{
			this.richTextBox1.Focus();
		}
	}
}
